Host Health Status System Fetch System Event Log

Host Health Status System Fetch System Event Log
Hardware System Event Log (SEL) information

Hardware System Event Log (SEL) information

Required privileges: Host.Config.Settings

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/HostHealthStatusSystem/{moId}/FetchSystemEventLog
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case HostHealthStatusSystem/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

[
    {
        "_typeName": "string",
        "recordId": 0,
        "when": "string",
        "selType": 0,
        "message": "string",
        "sensorNumber": 0
    }
]
array of object
Optional

IPMI System Event Log (SEL) provides a history of hardware sensor states.

This is defined in IPMI specification, section 32.1 SEL Event Records. CLI:: esxcli hardware ipmi sel list


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' https://{api_host}/sdk/vim25/{release}/HostHealthStatusSystem/{moId}/FetchSystemEventLog